LabWindows/CVI

cancel
Showing results for 
Search instead for 
Did you mean: 

NIDAQmx Libraries for CVI not included

Solved!
Go to solution

Hello,

I downloaded NI-DAQmx 17.5 Runtime, I can not find the libraries and support files for CVI. 

Regards

Nick

0 Kudos
Message 1 of 8
(3,583 Views)

To develop application that use DAQmx you have to download the full package, not only the runtime. The runtime can be installed on target computer to run applications that make use of DAQmx functions.

Besides the necessary libraries, the runtime lacks all the documentation and Measurement and Automation Explorer (MAX) which is useful to check and configure DAQmx resources in the system.

See Description topic in the download page for DAQmx runtime



Proud to use LW/CVI from 3.1 on.

My contributions to the Developer Community
________________________________________
If I have helped you, why not giving me a kudos?
0 Kudos
Message 2 of 8
(3,559 Views)

Hi,

I downloaded the full version 17.6, but the libraries are still not there. Any other suggestions? I get an error that says I need to put in the CD to install drivers for the DAQ, were these not included in the download? 

0 Kudos
Message 3 of 8
(3,554 Views)
Solution
Accepted by topic author novarisn

When you installed the full version of DAQmx you should have had an option to select the development environment for which to install the support files (libraries, examples, documentation and help files). There you should have selected CVI and after installation complete you should have all the stuff installed on disk.

Additionally, you must customize the library menu checking DAQmx option: after quitting and running CVI again you should have the environment configured and working.



Proud to use LW/CVI from 3.1 on.

My contributions to the Developer Community
________________________________________
If I have helped you, why not giving me a kudos?
Message 4 of 8
(3,550 Views)

During the install, a message come up that asked if we wanted to go ahead with standard setup or customize, would the selection for a specific development library been in this selection? I do not remember a selection to pick a development environment. Can this be configured after the install has finished? Or do I need to now uninstall and reinstall? 

0 Kudos
Message 5 of 8
(3,547 Views)

Hi,

The issue was I needed to go through the customize setup to select the CVI environment.

Thanks for the help.

0 Kudos
Message 6 of 8
(3,544 Views)

But in my case, option to select support CVI has been grayed out.  What can be done?  Reinstall drivers from 17 to 18 didn't help.  Uninstalled CVI2017 and reinstall didn't help.  Under add/remove program,  driver of NIDAQmx installed but library file doesn't show up in CVI.

0 Kudos
Message 7 of 8
(3,076 Views)

The correct sequence for installing NI software is to install the IDE first (in your case CVI environment) and only after successful installation proceed adding DAQmx suite.



Proud to use LW/CVI from 3.1 on.

My contributions to the Developer Community
________________________________________
If I have helped you, why not giving me a kudos?
0 Kudos
Message 8 of 8
(3,074 Views)